# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Initializing variables
    package_version = control.get_software_version()

    install_exe_if_needed(
        "ir_%s.exe" % package_version,
        silentflags="/S",
        key="InfraRecorder",
        min_version=package_version,
        get_version=getversioninfra,
    )

    remove_desktop_shortcut("InfraRecorder")


def getversioninfra(key):
    return get_file_properties(makepath(programfiles32, "InfraRecorder", "infrarecorder.exe"))["FileVersion"]
